Bug 224711 - Run/Debug Launchers for projects
Run/Debug Launchers for projects
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.4
All All
: P1 (vote)
: 7.3.1
Assigned To: henk89
issues@cnd
Kondor, 73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-10 14:55 UTC by Vladimir Voskresensky
Modified: 2013-05-15 13:53 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2013-01-10 14:55:51 UTC
To support big projects producing many binaries we need a functionality like Eclipse's Launchers.
It is like Attach Debug history allowing to easily specify and later on switch between different target_configurations.
configuration usually contains the following information:
- the binary to be debugged (relative path)
- the context project for the binary
- the run command
- the arguments
- the env variables to be defined before run
-- should be possible to specify script which set up, instead of manual typing KEY/VALUE pairs in env variables table
Comment 1 Vladimir Voskresensky 2013-01-17 10:44:40 UTC
The same is applicable for Build Launcher needed for Run of particular component.
Comment 2 henk89 2013-04-24 08:06:39 UTC
Native execution support:
http://hg.netbeans.org/cnd-main/rev/38d421333c99
Comment 3 Quality Engineering 2013-04-25 02:18:40 UTC
Integrated into 'main-golden', will be available in build *201304242301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/38d421333c99
User: Nikolay Koldunov <henk89@netbeans.org>
Log: Fixing #224711 - Run/Debug Launchers for projects
Comment 4 Vladimir Voskresensky 2013-04-29 15:55:19 UTC
v.
Comment 5 Leonid Lenyashin 2013-05-03 12:50:43 UTC
Nikolay, please integrate the fix to 7.3 branch (if required). I assume it is already there, just not marked properly
Comment 6 Alexander Pepin 2013-05-15 13:53:34 UTC
verified in OSS IDE built on NB 7.3.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo